L2TP IPsec VPN-клиент на Ubuntu 14.10

26

Мне нужно подключиться к L2TP IPsec VPN, используя Ubuntu 14.10. Ранее я использовал L2TP IPsec VPN Manager 1.0.9 от Werner Jaeger в Ubuntu 14.04, и он отлично поработал, но больше не поддерживается в 14.10. У меня установлен xl2tpd. Я больше не вижу возможности добавления VPN-подключения L2TP Ipsec в меню «VPN-подключения» в разделе «Сетевые подключения». Любая помощь или руководство оценены.

    
задан Doug Mai 07.01.2015 в 04:21
источник

2 ответа

19

Пакет lt2p-ipsec-vpn был устарел вместе с OpenSwan. Ubuntu заменил OpenSwan на StrongSwan , который доступен в main , а также соответствующий плагин сетевого менеджера в universe .

apt-get install strongswan network-manager-strongswan
    
ответ дан Ben Grimm 28.01.2015 в 17:04
0

StrongSwan должен работать с xl2tpd

Я знаю, что лучше всего вставлять реальные скрипты, но это совсем немного. И, честно говоря, ссылка здесь спасла бы меня от некоторых неприятностей, поэтому, надеюсь, кто-то найдет это полезным ...

Ссылка Ссылка Ссылка

Возможно, после того, как я закончил, я поделился финальным скриптом.

ИЗМЕНИТЬ

Несколько примечаний по реализации

  1. Мне пришлось удалить ключевое слово lock из /etc/ppp/options.l2tpd.client
  2. Имя пользователя и пароль должны указываться, когда echo в / var / run / xl2tpd / l2tp-control
  3. rightsubnet=0.0.0.0/0 было добавлено к соединению в /etc/ipsec.conf, хотя мой был VPN-сайтом-сайтом
  4. ip link перечисляет ваши устройства. В списке должно быть pppN , где N - это число из 0
  5. Для сайта-сайта я использовал следующее, чтобы добавить новый маршрут ... ip route add 192.168.192.0/24 dev ppp0
ответ дан kervin 07.12.2017 в 04:12